//
// storage_contact.go
// Copyright (C) 2022 tiglog <me@tiglog.com>
//
// Distributed under terms of the MIT license.
//

package storage

import "mime/multipart"

type IStorageAdapter interface {
	GetName() string
	Upload(upfile *multipart.FileHeader) (string, error)
	GetBaseDir() string
	GetFullPath(path string) string
}
